noinst_LTLIBRARIES = libavicore.la

libavicore_la_SOURCES = \
	avibase.c avibase.h avicore.c avicore.h \
	aviedit.c avifile.c aviframe.c avilang.c avimemory.c \
	aviopen.c avipcm.c avisave.c avitext.c \
	aviclip.c aviclip.h \
	aviextra.c aviextra.h \
	aviplay.c aviplay.h \
	chunk.c chunk.h \
	avifmt.h gsrfmt.h \
	wave.c wave.h \
	icm.c icm.h \
	acm.c acm.h

if WITH_W32
INCLUDES = \
	$(GTK_CFLAGS) \
	$(AO_CFLAGS) \
	$(ALSA_CFLAGS) \
	-I$(top_srcdir) \
	-I$(top_srcdir)/w32loader

libavicore_la_LIBADD = \
	$(GTK_LIBS) \
	$(AO_LIBS) \
	$(ALSA_LIBS) \
	$(top_builddir)/w32loader/libw32loader.la
else
INCLUDES = \
	$(GTK_CFLAGS) \
	$(AO_CFLAGS) \
	$(ALSA_CFLAGS) \
	-I$(top_srcdir)

libavicore_la_LIBADD = \
	$(GTK_LIBS) \
	$(AO_LIBS) \
	$(ALSA_LIBS) \
	$(top_builddir)/misc/libmisc.la
endif
